﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            List<ChartData> data = new List<ChartData>();
            data.Add(new ChartData() { Mins = 390, MonthDay = new DateTime(2011, 11, 7).ToOADate(), Priority = "High" });
            data.Add(new ChartData() { Mins = 383, MonthDay = new DateTime(2011, 11, 8).ToOADate(), Priority = "High" });
            data.Add(new ChartData() { Mins = 60, MonthDay = new DateTime(2011, 11, 8).ToOADate(), Priority = "Critical" });
            data.Add(new ChartData() { Mins = 183, MonthDay = new DateTime(2011, 11, 8).ToOADate(), Priority = "Medium" });
            data.Add(new ChartData() { Mins = 105, MonthDay = new DateTime(2011, 11, 9).ToOADate(), Priority = "High" });
            data.Add(new ChartData() { Mins = 15, MonthDay = new DateTime(2011, 11, 9).ToOADate(), Priority = "Critical" });

            radChart.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
            radChart.PlotArea.XAxis.Appearance.CustomFormat = "MMM/dd/yyy";
            radChart.PlotArea.XAxis.IsZeroBased = false;
            radChart.PlotArea.XAxis.AutoScale = false;
            double min = new DateTime(2011, 11, 7, 0, 0, 0).ToOADate();
            double max = new DateTime(2011, 11, 9, 0, 0, 0).ToOADate();
            double step = 1; //1 day
            radChart.PlotArea.XAxis.AddRange(min, max, step);
            radChart.DataGroupColumn = "Priority";
            radChart.DataManager.ValuesXColumn = "MonthDay";
            radChart.DataManager.ValuesYColumns = new string[] { "Mins" };
            radChart.DefaultType = ChartSeriesType.Bar;
            radChart.DataSource = data;
            radChart.DataBind();
        }
    }


    public class ChartData
    {
        public string Priority { get; set; }
        public double? Mins { get; set; }
        public double? Value2 { get; set; }
        public double? MonthDay { get; set; }

    }
}
